For the complete documentation index, see llms.txt. This page is also available as Markdown.

PATCH /v1/mirror/{address}

Modify or clear specific overrides for a single mirror.

patch

Modify or clear specific overrides for a single mirror. Supply only the fields you wish to change in the update object, and/or list fields to remove (revert to global Controls defaults) in the remove array. Any fields not mentioned will remain unchanged.

Authorizations
x-api-keystringRequired
Body
removestring[]Optional

List of control names to clear.

Responses
200

Success

application/json
messagestringOptional

Message

Example: Success
patch/v1/mirror/{address}
PATCH /v1/mirror/{address} HTTP/1.1
Host: api.odinbot.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 744

{
  "update": {
    "tradeSizeLamports": 1,
    "tradeSpeed": "Standard",
    "buyMinPriorityFee": 0.1,
    "sellStrategy": "SellAll",
    "maxBuysPerMirrorPerHour": 3,
    "maxBuysPerMirrorPerDay": 3,
    "maxBuysPerTokenPerDay": 1,
    "maxBuysPerTokenPerWeek": 5,
    "allowPumpFun": true,
    "snipeLaunchpadLaunches": true,
    "launchpadLaunchSnipeTradeSizeSol": 0.2,
    "mevProtection": "Fastest",
    "degenMode": true,
    "allowBuys": true,
    "buyStrategy": "Constant",
    "ssMinBuy": 0.05,
    "ssPercent": 50,
    "ssMaxBuy": 2,
    "buyMode": "Instant",
    "buyDipPct": 5,
    "buyDipTimeoutSecs": 86400,
    "crossMirrorPrevention": true,
    "pfSlippage": 15,
    "minSlippagePct": 0.5,
    "buyExtraTipPct": 2,
    "sellExtraTipPct": 1,
    "minMcUsd": 1,
    "maxMcUsd": 1,
    "minTokenAgeSecs": 60,
    "maxTokenAgeSecs": 604800,
    "onlyCopyNewPositions": true,
    "autoSellProfileKey": "text"
  },
  "remove": [
    "text"
  ]
}
{
  "message": "Success"
}

Last updated

Was this helpful?